## deepin-upgrade-manager 1.0.16

=== debian/changelog ===
deepin-upgrade-manager (1.0.16-1) unstable; urgency=medium

  * update

 -- LinuxDeepin <linuxdeepin@deepin.org>  Mon, 26 Dec 2022 17:00:22 +0800

deepin-upgrade-manager (1.0.16) unstable; urgency=medium

  * Fix submit failure in cgroup partition

 -- Chenghao Liu <liuchenghao@uniontech.com>  Tue Dec 13 09:39:05 2022 +0800

deepin-upgrade-manager (1.0.15) unstable; urgency=medium

  * Fix the log output

 -- Chenghao Liu <liuchenghao@uniontech.com>  Wed, 7 Dec 2022 17:22:03 +0800

deepin-upgrade-manager (1.0.14) unstable; urgency=medium

  * Increase the initramfs update grub function

 -- Chenghao Liu <liuchenghao@uniontech.com>  Fri, 2 Dec 2022 17:22:03 +0800

deepin-upgrade-manager (1.0.13) unstable; urgency=medium

  * Adaptation to upgrade tool

 -- Chenghao Liu <liuchenghao@uniontech.com>  Tue, 22 Nov 2022 17:22:03 +0800

deepin-upgrade-manager (1.0.12) unstable; urgency=medium

  * Increase the profile design documents

 -- Chenghao Liu <liuchenghao@uniontech.com>  Tue, 1 Nov 2022 17:22:03 +0800

deepin-upgrade-manager (1.0.11) unstable; urgency=medium

  * Adding custom backup filtration field interface

 -- Chenghao Liu <liuchenghao@uniontech.com>  Tue, 1 Nov 2022 17:22:03 +0800

deepin-upgrade-manager (1.0.10) unstable; urgency=medium

  * Fix the LVM partition rollback failed

 -- Chenghao Liu <liuchenghao@uniontech.com>  Fri, 16 Sep 2022 13:43:03 +0800

deepin-upgrade-manager (1.0.9) unstable; urgency=medium

  * Add adapter lvm partition

 -- Chenghao Liu <liuchenghao@uniontech.com>  Fri, 2 Sep 2022 15:48:03 +0800

deepin-upgrade-manager (1.0.8) unstable; urgency=medium

  * Add adapter multiple partition

 -- Chenghao Liu <liuchenghao@uniontech.com>  Tue, 18 Aug 2022 16:24:03 +0800

deepin-upgrade-manager (1.0.7) unstable; urgency=medium

  * Add adapter v20 system
  * Fix failed rollback in dbus and cmd

 -- Chenghao Liu <liuchenghao@uniontech.com>  Mon, 8 Aug 2022 13:24:03 +0800

deepin-upgrade-manager (1.0.6) unstable; urgency=medium

  * Add rollback notify
  * Add more than language adaptation
  * Add the grub encryption

 -- Chenghao Liu <liuchenghao@uniontech.com>  Mon, 1 Aug 2022 11:24:03 +0800

deepin-upgrade-manager (1.0.5) unstable; urgency=medium

  * Fit deepin-boot-kit manager grub

 -- Chenghao Liu <liuchenghao@uniontech.com>  Tue, 16 Jul 2022 11:24:03 +0800

deepin-upgrade-manager (1.0.4) unstable; urgency=medium

  * Fix auto cleanup
 -- Chenghao Liu <liuchenghao@uniontech.com>  Thu, 16 Jun 2022 9:24:03 +0800

deepin-upgrade-manager (1.0.3) unstable; urgency=medium

  * Add dbus interface

 -- Chenghao Liu <liuchenghao@uniontech.com>  Tue, 7 Jun 2022 16:24:03 +0800

deepin-upgrade-manager (1.0.2) unstable; urgency=medium

  * Add dbus interface
  * The configuration file adds filtering function
  * Add error code
 -- Chenghao Liu <liuchenghao@uniontech.com>  Mon, 23 May 2022 14:24:03 +0800

deepin-upgrade-manager (1.0.1) unstable; urgency=medium

  * Refactor upgrade manager

 -- Chenghao Liu <liuchenghao@uniontech.com>  Tue, 26 April 2022 14:24:03 +0800
