=== debian/control ===
Source: deepin-upgrade-manager
Section: utils
Priority: optional
Maintainer: LinuxDeepin <linuxdeepin@deepin.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-golang,
 golang-any,
 golang-dbus-dev,
 golang-gopkg-yaml.v2-dev
Standards-Version: 4.5.1
Homepage: https://www.deepin.org
#Vcs-Browser: https://salsa.debian.org/debian/asldfk
#Vcs-Git: https://salsa.debian.org/debian/asldfk.git
Rules-Requires-Root: no

Package: deepin-upgrade-manager
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ostree,
 deepin-boot-kit,
Description: uos backup and restore tool
 uos system backup and restore tool in Linux.

Package: deepin-boot-kit
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: uos rollback the grub management tool
 uos system manage rollback grub in Linux.
