## deepin-upgrade-manager 1.0.17

=== debian/changelog ===
deepin-upgrade-manager (1.0.17-1) unstable; urgency=medium

  * update

 -- LinuxDeepin <linuxdeepin@deepin.org>  Mon, 06 Feb 2023 16:28:14 +0800

deepin-upgrade-manager (1.0.17) unstable; urgency=medium

  * Feat create rootfs in maximum partition function

 -- Chenghao Liu <liuchenghao@uniontech.com>  Tue, 27 Dec 2022 13:40:12 +0800
