=== debian/changelog ===
deepin-upgrade-manager (1.0.18) unstable; urgency=medium

  * Revert:fix grub waiting too long.

 -- LiChengGang <lichenggang@uniontech.com>  Mon, 17 Apr 2023 16:49:04 +0800
