## deepin-upgrade-manager 1.0.22

=== debian/changelog ===
deepin-upgrade-manager (1.0.22-1) unstable; urgency=medium

  * update

 -- LinuxDeepin <linuxdeepin@deepin.org>  Mon, 18 Sep 2023 11:04:43 +0800

deepin-upgrade-manager (1.0.22) unstable; urgency=medium

  * fix backup system failed 
  * issues: https://github.com/linuxdeepin/developer-center/issues/5577

 -- LiChengGang <lichenggang@uniontech.com>  Fri, 15 Sep 2023 13:10:48 +0800

deepin-upgrade-manager (1.0.21) unstable; urgency=medium

  * fix rollback failed

 -- Lin Xin <linxin@deepin.org>  Tue, 30 May 2023 10:01:00 +0800

deepin-upgrade-manager (1.0.20) unstable; urgency=medium

  * fix: upgrade failed in multi-systems
  * fix: upgrade failed in multi-kernels

 -- Lin Xin <linxin@deepin.org>  Wed, 24 May 2023 09:50:22 +0800
