## deepin-upgrade-manager 1.0.27

=== Makefile ===
--- 
+++ 
@@ -100,7 +100,7 @@
 	@cp -f ${PWD}/${PROG_BOOTKIT} ${DESTDIR}${PREFIX}/sbin/
 
 	@mkdir -p ${DESTDIR}/etc/grub.d ${DESTDIR}/etc/default/grub.d
-	@cp -f ${PWD}/cmd/grub.d/15_deepin-boot-kit ${DESTDIR}/etc/grub.d
+	@cp -f ${PWD}/cmd/grub.d/99_deepin-boot-kit ${DESTDIR}/etc/grub.d
 
 	@mkdir -p ${DESTDIR}${PREFIX}/share/initramfs-tools/hooks
 	@cp -f ${PWD}/cmd/initramfs-hook/${PROG_BOOTKIT} ${DESTDIR}${PREFIX}/share/initramfs-tools/hooks/
@@ -110,11 +110,15 @@
 
 	@mkdir -p ${DESTDIR}${VAR}/${PROG_BOOTKIT}
 
+install-plymouth:
+	install -d ${DESTDIR}${PREFIX}/share/plymouth/themes
+	@cp -rvf ${PWD}/misc/plymouth/themes/deepin-recovery ${DESTDIR}${PREFIX}/share/plymouth/themes/
+
 install-translate:
 	install -d ${DESTDIR}${PREFIX}/share/locale
 	@cp -rfv ${PWD}/out/locale/* ${DESTDIR}${PREFIX}/share/locale
 
-install: translate-bootkit translate-upgrade install-translate install-bootkit install-upgrader-tool install-upgrader
+install: translate-bootkit translate-upgrade install-translate install-bootkit install-upgrader-tool install-upgrader install-plymouth
 
 out/locale/%/LC_MESSAGES/deepin-boot-kit.mo: misc/deepin-boot-kit/po/%.po
 	mkdir -p ${PWD}/$(@D)
@@ -158,12 +162,15 @@
 uninstall-bootkit:
 	@rm -f ${DESTDIR}${PREFIX}/sbin/${PROG_BOOTKIT}
 	@rm -f ${DESTDIR}/usr/share/${PROG_BOOTKIT}/config.json
-	@rm -f ${DESTDIR}/etc/grub.d/15_deepin-boot-kit
+	@rm -f ${DESTDIR}/etc/grub.d/99_deepin-boot-kit
 	@rm -f ${DESTDIR}${PREFIX}/share/initramfs-tools/hooks/${PROG_BOOTKIT}
 	@rm -f ${DESTDIR}${PREFIX}/share/initramfs-tools/scripts/init-bottom/${PROG_BOOTKIT}
 	@rm -f ${DESTDIR}${VAR}/${PROG_BOOTKIT}
 
-uninstall: uninstall-upgrader uninstall-upgrader-tool uninstall-bootkit
+uninstall-plymouth:
+	@rm -rf ${DESTDIR}${PREFIX}/share/plymouth/themes/deepin-recovery
+
+uninstall: uninstall-upgrader uninstall-upgrader-tool uninstall-bootkit uninstall-plymouth
 
 clean:
 	@rm -rf ${GOPATH_DIR}
