=== debian/changelog ===
deepin-upgrade-manager (1.0.27) unstable; urgency=medium

  * Reduced MaxVersionRetention from 5 to 2.
    Previously, with MaxVersionRetention set to 5, the /boot/ partition could
    retain up to 5 versions of kernel and initramfs files. Assuming each
    version's kernel and initramfs files together occupy 100MB, this would
    result in:

    5 versions × 3 kernels × 100 MB = 1.5 GB

    Given that our default /boot partition size is 1.5GB, this configuration
    would lead to insufficient space, causing update failures and other
    issues.

    This change helps prevent the /boot/ partition from running out of space
    by limiting the number of retained kernel and initramfs versions.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 16 May 2024 17:41:46 +0800

deepin-upgrade-manager (1.0.26) unstable; urgency=medium

  * Allow customizing theme

 -- Yutao Meng <mengyutao@deepin.org>  Tue, 19 Mar 2024 15:10:19 +0800

deepin-upgrade-manager (1.0.25) unstable; urgency=medium

  * bump version to 1.0.25

 -- Lin Xin <linxin@deepin.org>  Tue, 30 Jan 2024 09:43:40 +0800

deepin-upgrade-manager (1.0.24) unstable; urgency=medium

  * fix: conflict with deepin-system-upgrade in plymouth 

 -- Lin Xin <linxin@deepin.org>  Wed, 24 Jan 2024 10:13:38 +0800

deepin-upgrade-manager (1.0.23) unstable; urgency=medium

  * fix: https://github.com/linuxdeepin/developer-center/issues/6409
  * fix: https://github.com/linuxdeepin/developer-center/issues/6855

 -- Lin Xin <linxin@deepin.org>  Mon, 15 Jan 2024 16:43:34 +0800
